#include <iostream>
#include <stdio.h>
#include <math.h>

using namespace std;

double Cifre(int broj)
{
    double cifre = 0;
    while (broj>=1) {
        broj /= 10;
        cifre++;
    }
    return cifre;
}
int main()
{
    int A;
    int B;
    int C;
    scanf("%i %i %i", &A, &B, &C);
    double broj = 0;
    double A1 =pow(10.0, Cifre(A)) ;
    double B1 =pow(10.0, Cifre(B));
    double C1 =pow(10.0, Cifre(C));
    broj = A + (B*A1) + (C*A1*B1);
    if(broj < A + (C*A1) + (B*A1*C1) ){
        broj = A + (C*A1) + (B*A1*C1);
    }
    if(broj < B + (A*B1) + (C*A1*B1) ){
        broj = B + (A*B1) + (C*A1*B1);
    }
    if(broj < B + (C*B1) + (A*B1*C1) ){
        broj = B + (C*B1) + (A*B1*C1);
    }
    if(broj < C + (A*C1) + (B*A1*C1) ){
        broj = C + (A*C1) + (B*A1*C1);
    }
    if(broj < C + (B*C1) + (A*B1*C1) ){
        broj = C + (B*C1) + (A*B1*C1);
    }
    printf("%i",(int)broj);
    return 0;
}